cascading.operation.text

## Class DateFormatter

- java.lang.Object
- - cascading.operation.BaseOperation<Pair<SimpleDateFormat,Tuple>>
  - - cascading.operation.text.DateOperation
    - - cascading.operation.text.DateFormatter

All Implemented Interfaces:
  DeclaresResults, Function<Pair<SimpleDateFormat,Tuple>>, Operation<Pair<SimpleDateFormat,Tuple>>, Traceable, Serializable

    public class DateFormatter
    extends DateOperation
    implements Function<Pair<SimpleDateFormat,Tuple>>

Class DateFormatter is used to convert a date timestamp to a formatted string, where a timestamp is the number of milliseconds since January 1, 1970, 00:00:00 GMT, using the `SimpleDateFormat` syntax.

Note the timezone data is given to the SimpleDateFormat, not the internal Calendar instance which interprets the 'timestamp' value as it is assumed the timestamp is already in GMT.

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `FIELD_NAME` Field FIELD_NAME

### Fields inherited from class cascading.operation.text.DateOperation

`locale, zone`

### Fields inherited from class cascading.operation.BaseOperation

`fieldDeclaration, numArgs, trace`

### Fields inherited from interface cascading.operation.Operation

`ANY`

### Constructor Summary

Constructors
Constructor and Description
`DateFormatter(Fields fieldDeclaration, String dateFormatString)` Constructor DateParser creates a new DateParser instance.
`DateFormatter(Fields fieldDeclaration, String dateFormatString, TimeZone zone)` Constructor DateFormatter creates a new DateFormatter instance.
`DateFormatter(Fields fieldDeclaration, String dateFormatString, TimeZone zone, Locale locale)` Constructor DateFormatter creates a new DateFormatter instance.
`DateFormatter(String dateFormatString)` Constructor DateParser creates a new DateParser instance that creates a simple long time stamp of the parsed date.

### Method Summary

Methods
`void` `operate(FlowProcess flowProcess, FunctionCall<Pair<SimpleDateFormat,Tuple>> functionCall)` Method operate provides the implementation of this Function.

### Methods inherited from class cascading.operation.text.DateOperation

`equals, getCalendar, getDateFormat, getDateFormatString, hashCode, prepare`

### Methods inherited from class cascading.operation.BaseOperation

`cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface cascading.operation.Operation

`cleanup, flush, getFieldDeclaration, getNumArgs, isSafe, prepare`

### Field Detail

#### FIELD_NAME

    public static final String FIELD_NAME

Field FIELD_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### DateFormatter

    @ConstructorProperties(value="dateFormatString")
    public DateFormatter(String dateFormatString)

Constructor DateParser creates a new DateParser instance that creates a simple long time stamp of the parsed date.

Parameters:
  `dateFormatString` - of type String

#### DateFormatter

    @ConstructorProperties(value={"fieldDeclaration","dateFormatString"})
    public DateFormatter(Fields fieldDeclaration,
                                            String dateFormatString)

Constructor DateParser creates a new DateParser instance.

Parameters:
  `fieldDeclaration` - of type Fields
  `dateFormatString` - of type String

#### DateFormatter

    @ConstructorProperties(value={"fieldDeclaration","dateFormatString","zone"})
    public DateFormatter(Fields fieldDeclaration,
                                            String dateFormatString,
                                            TimeZone zone)

Constructor DateFormatter creates a new DateFormatter instance.

Parameters:
  `fieldDeclaration` - of type Fields
  `dateFormatString` - of type String
  `zone` - of type TimeZone

#### DateFormatter

    @ConstructorProperties(value={"fieldDeclaration","dateFormatString","zone","locale"})
    public DateFormatter(Fields fieldDeclaration,
                                            String dateFormatString,
                                            TimeZone zone,
                                            Locale locale)

Constructor DateFormatter creates a new DateFormatter instance.

Parameters:
  `fieldDeclaration` - of type Fields
  `dateFormatString` - of type String
  `zone` - of type TimeZone
  `locale` - of type Locale

### Method Detail

#### operate

    public void operate(FlowProcess flowProcess,
               FunctionCall<Pair<SimpleDateFormat,Tuple>> functionCall)

Description copied from interface: `Function`
Method operate provides the implementation of this Function.

Specified by:
  `operate` in interface `Function<Pair<SimpleDateFormat,Tuple>>`
Parameters:
  `flowProcess` - of type FlowProcess
  `functionCall` - of type FunctionCall